> For the complete documentation index, see [llms.txt](https://docs.flatredball.com/flatredball/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flatredball.com/flatredball/api/flatredball/sprite/useanimationrelativeposition.md).

# UseAnimationRelativePosition

### Introduction

The UseAnimationRelativePosition value controls whether relative values [from the current AnimationFrame](https://github.com/flatredball/FlatRedBallDocs/tree/main/frb/docs/index.php) are applied to the Sprite. Relative values can be set in code, or can be set in the [AnimationEditor](https://github.com/flatredball/FlatRedBallDocs/tree/main/frb/docs/index.php). A Sprite **must be attached to another** [**PositionedObject**](https://github.com/flatredball/FlatRedBallDocs/tree/main/frb/docs/index.php) for relative values to have an impact on absolute position. In Glue this value is set to true by default. This means that any Sprite using an AnimationChain will automatically be positioned within its entity using the relative values of the AnimationChain. If this is not desired, the value should be set to false.

### When to use this value

If you are applying offset values in a .achx and you want these offset values to apply to Sprites (usually within an Entity) then this value should be true. If you are using a .acxh file, if the Sprite is part of an Entity, and if you want to manually move the Sprite around (either in code or in Glue), then this value should be set to false.

### Default Values

Sprites which originate from Scenes (.scnx files) will have this property set to true, therefore their relative values will be overridden by their AnimationChain. If you are using Glue, you can set this to false through a tunneled variable, or in custom code if you want to use custom positioning:

```csharp
SpriteInstance.UseAnimationRelativePosition = false;
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.flatredball.com/flatredball/api/flatredball/sprite/useanimationrelativeposition.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
